<?php

/**
 * inicio_proceso_coactivo actions.
 *
 * @package    cobro_coactivo
 * @subpackage inicio_proceso_coactivo
 * @author     oacero
 * @version    SVN: $Id: actions.class.php 23810 2009-11-12 11:07:44Z Kris.Wallsmith $
 */
class inicio_proceso_coactivoActions extends sfQuery{
    
    protected $table_names = array(
        'CBR_PROCESO_COACTIVO_V',
    );//Tablas o vistas base de la cosulta
    
    protected $table_join_ids = array(
    ); //Campos de cada tabla o vista a relacionar en los join.
    
    protected  $fields = array(
        'CBR_PROCESO_COACTIVO_V' =>
        array(
            'id_remision_titulo' => 'id_remision_titulo',
            'numero_remision' => 'numero_remision',
            'anho_remision' => 'anho_remision',
            'numero_correpondencia' => 'numero_correpondencia',
            'fecha_remision' => 'fecha_remision',
            'id_par' => 'id_par',
            'no_folios' => 'no_folios',
            'estado' => 'estado',
            'cod_titulo' => 'cod_titulo',
            'descripcion_par' => 'descripcion_par',
            'mineral' => 'mineral',
            'id_debito' => 'id_debito',
            'id_mineral' => 'id_mineral',
            'coactivo_aprobado' => 'coactivo_aprobado'
        )
    ); // Campos de cada tabla o vista que seran mostrados
    
    protected $fields_orderBy = array(
        'anho_remision desc', 'id_remision_titulo desc'
    ); //Criterio de ordenamineto de la consulta
    
    protected $table_field_conditions = array(
        'CBR_PROCESO_COACTIVO_V' =>
        array(
            'id_remision_titulo,a' => array('!=' => array(-1)),
            'id_remision_titulo,b' => array('=' => array('id_remision_titulo')),
            'id_par' => array('=' => array('id_par')),
            'cod_titulo' => array('=' => array('cod_titulo')),
            'estado' => array('=' => array('estado')),
            'numero_remision' => array('=' => array('numero_remision')),
            'anho_remision' => array('=' => array('anho_remision')),
            'fecha_remision' => array('BETWEENFECHA' => array('fecha_ini', 'fecha_fin')),
            'rownum,start' => array('>' => array('_startRow')),
            'rownum,end' => array('<=' => array('_endRow'))
        )
    ); //Condiciones de la consulta
    
   
     /*
     * Variable manejo de log
     */
    //true - consulta de menu administracion
    protected $is_admin = true;
    //si es servicio para filtro agregar campo
//    protected $filtro = 'Perfiles';
    //true - la tabla principal de busqueda no es una vista
    protected $is_filtro = false;
    
    protected function postprocessRequest($Action, \sfWebRequest $request, $list_data_post) {
        /*
        * Se instancia la clase del manejo del log
        */
        $logger = sfContext::getInstance()->getLogger();
        $logger->info("Entro a postprocessRequest - " . $list_data_post);
        /*
         * Procesar Request
         */
        //accion add
        if ($Action == "ADD") {
            
        }

        //accion update
        if ($Action == "UPDATE") {
            
        }

        //accion remove
        if ($Action == "REMOVE") {
            
        }

        return $request;
    }

    protected function preprocessRequest($Action, \sfWebRequest $request) {
        return $request;
    }

    protected function validateAdd(\sfWebRequest $request) {
        //valor por defecto
        $errors = null;

        /*
         *  Validar la operación, ya sea por SQL
         */

        /*
         *  Generar errores en $errors
         */

        return $errors;
    }

    protected function validateRemove(\sfWebRequest $request) {
        //valor por defecto
        $errors = null;

        /*
         *  Validar la operación, ya sea por SQL
         */

        /*
         *  Generar errores en $errors
         */

        return $errors;
    }

    protected function validateUpdate(\sfWebRequest $request) {
        //valor por defecto
        $errors = null;

        /*
         *  Validar la operación, ya sea por SQL
         */

        /*
         *  Generar errores en $errors
         */

        return $errors;
        
    }

}
